Bug 1503100 - Request to move udisks2-lvm2 and udisks2-iscsi subpackages from optional to base
Summary: Request to move udisks2-lvm2 and udisks2-iscsi subpackages from optional to base
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.5
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Lubos Kocman
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1510667
TreeView+ depends on / blocked
 
Reported: 2017-10-17 11:25 UTC by Djordje Todorovic
Modified: 2018-04-16 06:05 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 10:17:23 UTC
salmy: needinfo? (lmiksik)
tbowling: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0700 None None None 2018-04-10 10:18:35 UTC

Description Djordje Todorovic 2017-10-17 11:25:14 UTC
Description of problem:


Rebased udisks2 now covers the functionality provided by storaged from Extras and cockpit-storaged (also Extras) is going to use the new udisks2 instead.

The udisks2 'Obsoletes: storaged' which makes sure storaged is replaced by udisks2 on updates. Together with updated 'Requires:' in cockpit-storaged.

Problem is that udisks2-lvm2 and udisks2-iscsi subpackages are not required by anything from the base (just by cockpit-storaged from Extras) and thus end up in '-optional' repos.


This is a request to have udisks2-lvm2 and udisks2-iscsi subpackages moved from optional to base so that cockpit-storaged can be installed with just Extras enabled.

Comment 2 Martin Pitt 2017-10-17 12:23:06 UTC
For the record, adding them to RHEL Extras would suffice too. We might at some
point move cockpit-storaged to base, then these two udisk2-* plugins would also
need to move. I guess this depends on how happy you are about the stability of
these two plugins.

Comment 3 Vratislav Podzimek 2017-10-20 07:51:16 UTC
(In reply to Martin Pitt from comment #2)
> For the record, adding them to RHEL Extras would suffice too. We might at
> some
> point move cockpit-storaged to base, then these two udisk2-* plugins would
> also
> need to move. I guess this depends on how happy you are about the stability
> of
> these two plugins.

Speaking as a udisks2 upstream person I can say we consider these two modules stable, especially regarding the API.

Comment 8 Marius Vollmer 2017-12-14 09:17:49 UTC
Ping, any progress?

Comment 9 Lubos Kocman 2017-12-14 10:00:33 UTC
Hello Marius,

we need to get all acks to make this happen.
I just added devel_ack+, and I'll try to get qa_ack+

Lubos

Comment 10 Marius Vollmer 2017-12-14 11:43:38 UTC
> I just added devel_ack+, and I'll try to get qa_ack+

Thank you!

Comment 11 Lubos Kocman 2017-12-14 11:55:22 UTC
I added the package to @remote-system-management group since cockpit in RHEL is placed in this group.


https://code.engineering.redhat.com/gerrit/gitweb?p=comps.git;a=commit;h=f45fe006830248cc9c8dc8d4ac5e6c1e136d78ca

Change will be available in next compose (Beta and following nightly).

Please tell your QE to reload filelists in udisk2 advisory (if there is any update in RHEL-7.5) See https://mojo.redhat.com/docs/DOC-1126043#jive_content_id_RPMsis_missing_in_erratafilelists

Lubos

Comment 13 Marius Vollmer 2017-12-20 11:45:02 UTC
The Cockpit integration tests have picked up udisks2-lvm2 and udisks2-iscsi now, and tests are looking green:

    https://github.com/cockpit-project/cockpit/pull/8289

Comment 19 errata-xmlrpc 2018-04-10 10:17:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0700

Comment 20 Martin Pitt 2018-04-16 06:05:46 UTC
This hasn't actually been fixed at all, the packages are still in optional as they've ever been in 7.5.0 GA. As this cannot be reopened, I filed bug 1567729. Interested CCs please subscribe there.


Note You need to log in before you can comment on or make changes to this bug.